%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% comput_dist.m
%
% OCRD_1.0 - One Class Rate Distortion based algorithm, Version 1.0
% Copyright (C) 2007 Koby Crammer, Partha Talukdar and Fernando Pereira
%
% See: 
%   A Rate-Distortion One-Class Model and its Applications to Clustering
%   Koby Crammer, Partha Pratim Talukdar and Fernando Pereira
%   Proceedings of the 25th International Conference on Machine Learning
%   (ICML), 2008 
%   http://www.cis.upenn.edu/~crammer/publications/icml08_ocrd.pdf
%
%    This program is free software; you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation; either version 2 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program; if not, write to the Free Software
%    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function dres = compute_dist(x, m, bf);
% function dres = compute_dist(x, m, bf);
% compute distance between two list of column vectors
%
  
  
  dres = zeros(size(x,2), size(m,2));
  for  ind =1:size(m,2)
    dres(:,ind) = compute_dist1(x,m(:,ind),bf);
  end
      
      
function d1 = compute_dist1(x,m,bf)
  mm = repmat(m, 1, size(x,2));
  d = feval(bf.f, x, mm, bf.params_s);
  d1=d';
    
  